#pragma once
#include "Entity.h"
class CS_QuoteSuperMissileBladeExplode :
    public Entity
{
public:
    CS_QuoteSuperMissileBladeExplode(std::shared_ptr<Entity> parent);
    void Init(std::weak_ptr<Entity> self) override;//³υΚΌ»―
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    int act_wait = 6;
};

